#ifndef __KEY_H__
#define __KEY_H__


#include "mcu.h"


#define KEY_PRESSED 1
#define KEY_NOPRESSED 0


typedef enum
{
    KEY_HG_F,//前
    KEY_HG_R,//后
    KEY_KB_F,
    KEY_KB_R,
    KEY_TT_F,
    KEY_TT_R,
    KEY_ZY_U,//上
    KEY_ZY_D,//下
    KEY_NUM,
}KEY_ID_type;



void ClearAllKeyState(void);
uint8_t getKeyPressFlag(KEY_ID_type id);
uint8_t getKeyReleaseFlag(KEY_ID_type id);
void KeyScanTask(void);
void KeyProTask(void);

#endif // __KEY_H__